<?php
declare(strict_types=1);

use Magento\Framework\Escaper;
use Magento\Framework\View\Element\Template;

/** @var Template $block */
/** @var Escaper $escaper */
?>

<button type="submit"
        form="product_addtocart_form"
        title="<?= $escaper->escapeHtmlAttr(__('Add to basket')) ?>"
        class="btn-primary py-2.5 px-5 w-9/12 lg:w-auto lg:mx-3"
        id="product-addtocart-button"
>
    <span class="text-lg font-bold leading-5 uppercase tracking-widerer">
    <?= $escaper->escapeHtml(__('Add to basket')) ?>
    </span>
    <span class="hidden"><?= $block->getData('is_cart_configure') ?
            $escaper->escapeHtml(__('Update item')) :
            $escaper->escapeHtml(__('Add to Cart')) ?>
    </span>
</button>

<?= $block->getChildHtml('', true) ?>
